Commit 56e9569c authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont

- Improve DIST_SUBDIR

- Require automake 1.9 to fix some libtool plugin build problems
- Remove useless libs/Makefile
parent 7761fafe
......@@ -12,8 +12,9 @@ NULL =
# - . should come before mozilla/bindings because the plugin needs libvlc.a
# - po should come before . because VLC.app needs the pofiles
# - loader should come before modules because some plugins need it
SUBDIRS = intl libs src modules po . mozilla bindings activex share m4 doc
DIST_SUBDIRS = $(SUBDIRS) ipkg
SUBDIRS = intl po libs/loader libs/srtp src modules . \
mozilla bindings activex share doc
DIST_SUBDIRS = $(SUBDIRS) m4 ipkg
EXTRA_DIST = \
HACKING \
......
......@@ -64,7 +64,7 @@ esac
# Check for automake
amvers="no"
for v in "-1.10" "110" "-1.9" "19" "-1.8" "18" "-1.7" "17"; do
for v in "-1.10" "110" "-1.9" "19"; do
if automake${v} --version >/dev/null 2>&1; then
amsuff="${v}"
amvers="`echo ${v} | sed -e 's/^-//'`"
......@@ -78,9 +78,9 @@ if test "${amvers}" = "no" && automake --version > /dev/null 2>&1; then
fi
case "${amvers}" in
no|1.[0123456]|1.[0123456].*|1[0123456]|1.[0123456]-*)
no|1.[012345678]|1.[0123456].*|1[0123456]|1.[0123456]-*)
set +x
echo "$0: you need automake version 1.7 or later"
echo "$0: you need automake version 1.9 or later"
exit 1
;;
esac
......
......@@ -9,13 +9,13 @@ VERSION_EXTRA="svn"
CONFIGURE_LINE="`echo "$0 $ac_configure_args" | sed -e 's/\\\/\\\\\\\/g'`"
CODENAME="Grishenko"
AC_PREREQ(2.59)
AC_PREREQ(2.59) dnl this really should be 2.59c
AC_CONFIG_SRCDIR(src/libvlc.c)
AC_CONFIG_AUX_DIR(autotools)
AC_CANONICAL_BUILD
AC_CANONICAL_HOST
AM_INIT_AUTOMAKE([1.7 check-news dist-bzip2])
AM_INIT_AUTOMAKE([1.9 check-news dist-bzip2 no-dist-gzip -Wall])
AM_CONFIG_HEADER(config.h)
dnl Too many people are not aware of maintainer mode:
......@@ -26,8 +26,6 @@ dnl can't expect you to enable it manually.
AS_IF([test "x${enable_maintainer_mode}" != "xno"],
[enable_maintainer_mode="yes"])
dnl HA! HA!
AM_MAINTAINER_MODE
dnl
......@@ -5774,7 +5772,6 @@ AC_CONFIG_FILES([
doc/Makefile
intl/Makefile
ipkg/Makefile
libs/Makefile
libs/loader/Makefile
libs/srtp/Makefile
modules/Makefile
......
SUBDIRS = loader srtp
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment